function m = perturbz(m,z,absolute)
    if z==0, return; end
    newz = rand(size(m.nodes,1),1)-0.5;
    newz = scalevec( newz, -z/2, z/2 );
    m = addToNormal( m, newz, absolute );
    m.saved = 0;
end
